Package com.zoho.analytics.jdbc

## Class ZohoAnalyticsResultSetMetaData

- java.lang.Object
- - com.zoho.analytics.jdbc.ZohoAnalyticsWrapper
  - - com.zoho.analytics.jdbc.ZohoAnalyticsResultSetMetaData

- All Implemented Interfaces:
    `java.sql.ResultSetMetaData`, `java.sql.Wrapper`

      public class ZohoAnalyticsResultSetMetaData
      extends ZohoAnalyticsWrapper
      implements java.sql.ResultSetMetaData

  An object that can be used to get information about the types and properties of the columns in a ResultSet object.
  See Also:
    ResultSetMetaData

- - ### Field Summary

    - ### Fields inherited from interface java.sql.ResultSetMetaData

      `columnNoNulls, columnNullable, columnNullableUnknown`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getCatalogName​(int columnIndex)` | `See getCatalogName`
    `java.lang.String` | `getColumnClassName​(int columnIndex)` | `See getColumnClassName`
    `int` | `getColumnCount()` | `See getColumnCount`
    `int` | `getColumnDisplaySize​(int columnIndex)` | `See getColumnDisplaySize`
    `java.lang.String` | `getColumnLabel​(int columnIndex)` | `See getColumnLabel`
    `java.lang.String` | `getColumnName​(int columnIndex)` | `See getColumnName`
    `int` | `getColumnType​(int columnIndex)` | `See getColumnType`
    `java.lang.String` | `getColumnTypeName​(int columnIndex)` | `See getColumnTypeName`
    `int` | `getPrecision​(int columnIndex)` | `See getPrecision`
    `int` | `getScale​(int columnIndex)` | `See getScale`
    `java.lang.String` | `getSchemaName​(int columnIndex)` | `See getSchemaName`
    `java.lang.String` | `getTableName​(int columnIndex)` | `See getTableName`
    `boolean` | `isAutoIncrement​(int columnIndex)` | `See isAutoIncrement`
    `boolean` | `isCaseSensitive​(int columnIndex)` | `See isCaseSensitive`
    `boolean` | `isCurrency​(int columnIndex)` | `See isCurrency`
    `boolean` | `isDefinitelyWritable​(int columnIndex)` | `See isDefinitelyWritable`
    `int` | `isNullable​(int columnIndex)` | `See isNullable`
    `boolean` | `isReadOnly​(int columnIndex)` | `See isReadOnly`
    `boolean` | `isSearchable​(int columnIndex)` | `See isSearchable`
    `boolean` | `isSigned​(int columnIndex)` | Not implemented.
    `boolean` | `isWritable​(int param)` | `See isWritable`

    - ### Methods inherited from class com.zoho.analytics.jdbc.ZohoAnalyticsWrapper

      `isWrapperFor, unwrap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.sql.Wrapper

      `isWrapperFor, unwrap`

- - ### Method Detail

    - #### getCatalogName

          public java.lang.String getCatalogName​(int columnIndex)
                                          throws java.sql.SQLException

      `See getCatalogName`
      Specified by:
        `getCatalogName` in interface `java.sql.ResultSetMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getColumnClassName

          public java.lang.String getColumnClassName​(int columnIndex)
                                              throws java.sql.SQLException

      `See getColumnClassName`
      Specified by:
        `getColumnClassName` in interface `java.sql.ResultSetMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getColumnCount

          public int getColumnCount()
                             throws java.sql.SQLException

      `See getColumnCount`
      Specified by:
        `getColumnCount` in interface `java.sql.ResultSetMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getColumnDisplaySize

          public int getColumnDisplaySize​(int columnIndex)
                                   throws java.sql.SQLException

      `See getColumnDisplaySize`

      Specified by:
        `getColumnDisplaySize` in interface `java.sql.ResultSetMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getColumnLabel

          public java.lang.String getColumnLabel​(int columnIndex)
                                          throws java.sql.SQLException

      `See getColumnLabel`
      Specified by:
        `getColumnLabel` in interface `java.sql.ResultSetMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getColumnName

          public java.lang.String getColumnName​(int columnIndex)
                                         throws java.sql.SQLException

      `See getColumnName`
      Specified by:
        `getColumnName` in interface `java.sql.ResultSetMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getColumnType

          public int getColumnType​(int columnIndex)
                            throws java.sql.SQLException

      `See getColumnType`
      Specified by:
        `getColumnType` in interface `java.sql.ResultSetMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getColumnTypeName

          public java.lang.String getColumnTypeName​(int columnIndex)
                                             throws java.sql.SQLException

      `See getColumnTypeName`
      Specified by:
        `getColumnTypeName` in interface `java.sql.ResultSetMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getPrecision

          public int getPrecision​(int columnIndex)
                           throws java.sql.SQLException

      `See getPrecision`

      Specified by:
        `getPrecision` in interface `java.sql.ResultSetMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getScale

          public int getScale​(int columnIndex)
                       throws java.sql.SQLException

      `See getScale`

      Specified by:
        `getScale` in interface `java.sql.ResultSetMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getSchemaName

          public java.lang.String getSchemaName​(int columnIndex)
                                         throws java.sql.SQLException

      `See getSchemaName`
      Specified by:
        `getSchemaName` in interface `java.sql.ResultSetMetaData`
      Throws:
        `java.sql.SQLException`

    - #### getTableName

          public java.lang.String getTableName​(int columnIndex)
                                        throws java.sql.SQLException

      `See getTableName`
      Specified by:
        `getTableName` in interface `java.sql.ResultSetMetaData`
      Throws:
        `java.sql.SQLException`

    - #### isAutoIncrement

          public boolean isAutoIncrement​(int columnIndex)
                                  throws java.sql.SQLException

      `See isAutoIncrement`
      Specified by:
        `isAutoIncrement` in interface `java.sql.ResultSetMetaData`
      Throws:
        `java.sql.SQLException`

    - #### isCaseSensitive

          public boolean isCaseSensitive​(int columnIndex)
                                  throws java.sql.SQLException

      `See isCaseSensitive`
      Specified by:
        `isCaseSensitive` in interface `java.sql.ResultSetMetaData`
      Throws:
        `java.sql.SQLException`

    - #### isCurrency

          public boolean isCurrency​(int columnIndex)
                             throws java.sql.SQLException

      `See isCurrency`
      Specified by:
        `isCurrency` in interface `java.sql.ResultSetMetaData`
      Throws:
        `java.sql.SQLException`

    - #### isDefinitelyWritable

          public boolean isDefinitelyWritable​(int columnIndex)
                                       throws java.sql.SQLException

      `See isDefinitelyWritable`
      Specified by:
        `isDefinitelyWritable` in interface `java.sql.ResultSetMetaData`
      Throws:
        `java.sql.SQLException`

    - #### isNullable

          public int isNullable​(int columnIndex)
                         throws java.sql.SQLException

      `See isNullable`

      Specified by:
        `isNullable` in interface `java.sql.ResultSetMetaData`
      Throws:
        `java.sql.SQLException`

    - #### isReadOnly

          public boolean isReadOnly​(int columnIndex)
                             throws java.sql.SQLException

      `See isReadOnly`
      Specified by:
        `isReadOnly` in interface `java.sql.ResultSetMetaData`
      Throws:
        `java.sql.SQLException`

    - #### isSearchable

          public boolean isSearchable​(int columnIndex)
                               throws java.sql.SQLException

      `See isSearchable`
      Specified by:
        `isSearchable` in interface `java.sql.ResultSetMetaData`
      Throws:
        `java.sql.SQLException`

    - #### isSigned

          public boolean isSigned​(int columnIndex)
                           throws java.sql.SQLException

      Not implemented.

      `See isSigned`

      Specified by:
        `isSigned` in interface `java.sql.ResultSetMetaData`
      Throws:
        `java.sql.SQLException`

    - #### isWritable

          public boolean isWritable​(int param)
                             throws java.sql.SQLException

      `See isWritable`
      Specified by:
        `isWritable` in interface `java.sql.ResultSetMetaData`
      Throws:
        `java.sql.SQLException`